# Ipopt::TDependencyDetector Class Reference

Base class for all derived algorithms for detecting linearly dependent rows in the constraint Jacobian. More...

`#include <IpTDependencyDetector.hpp>`

Inheritance diagram for Ipopt::TDependencyDetector:
[legend]

List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)=0
| Has to be called to initialize and reset these objects.
virtual bool | DetermineDependentRows (Index n_rows, Index n_cols, Index n_jac_nz, Number *jac_c_vals, Index *jac_c_iRow, Index *jac_c_jCol, std::list< Index > &c_deps)=0
| Method determining the number of linearly dependent rows in the matrix and the indices of those rows.
Constructor/Destructor
| TDependencyDetector ()
virtual | ~TDependencyDetector ()
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| TDependencyDetector (const TDependencyDetector &)
| Copy Constructor.
void | operator= (const TDependencyDetector &)
| Overloaded Equals Operator.

## Detailed Description

Base class for all derived algorithms for detecting linearly dependent rows in the constraint Jacobian.

Definition at line 20 of file IpTDependencyDetector.hpp.

## Constructor & Destructor Documentation

Ipopt::TDependencyDetector::TDependencyDetector | ( |  | ) | `[inline]`

Definition at line 25 of file IpTDependencyDetector.hpp.

virtual Ipopt::TDependencyDetector::~TDependencyDetector | ( |  | ) | `[inline, virtual]`

Definition at line 28 of file IpTDependencyDetector.hpp.

Ipopt::TDependencyDetector::TDependencyDetector | ( | const TDependencyDetector & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::TDependencyDetector::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[pure virtual]`

Has to be called to initialize and reset these objects.

Implements Ipopt::AlgorithmStrategyObject.

Implemented in Ipopt::Ma28TDependencyDetector, and Ipopt::TSymDependencyDetector.

virtual bool Ipopt::TDependencyDetector::DetermineDependentRows | ( | Index | n_rows,
|  | Index | n_cols,
|  | Index | n_jac_nz,
|  | Number * | jac_c_vals,
|  | Index * | jac_c_iRow,
|  | Index * | jac_c_jCol,
|  | std::list< Index > & | c_deps |
| ) |  |  | `[pure virtual]`

Method determining the number of linearly dependent rows in the matrix and the indices of those rows.

We assume that the matrix is available in "Triplet" format (MA28 format), and that the arrays given to this method can be modified internally, i.e., they are not used by the calling program anymore after this call. This method returns false if there was a problem with the underlying linear solver.

Implemented in Ipopt::Ma28TDependencyDetector, and Ipopt::TSymDependencyDetector.

void Ipopt::TDependencyDetector::operator= | ( | const TDependencyDetector & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::AlgorithmStrategyObject.

Reimplemented in Ipopt::Ma28TDependencyDetector, and Ipopt::TSymDependencyDetector.

The documentation for this class was generated from the following file:

- src/Algorithm/LinearSolvers/IpTDependencyDetector.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines